# kdecore Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# kde_sockaddr_in6 Struct Reference

An IPv6 socket address This is taken from RFC 2553. More...

`#include <netsupp.h>`

Collaboration diagram for kde_sockaddr_in6:

[legend]
List of all members.

## Public Attributes

Q_UINT16 | sin6_family
unsigned short | sin6_port
Q_UINT32 | sin6_flowinfo
kde_in6_addr | sin6_addr
Q_UINT32 | sin6_scope_id

## Detailed Description

An IPv6 socket address This is taken from RFC 2553.

Definition at line 64 of file netsupp.h.

The documentation for this struct was generated from the following file:

- netsupp.h

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:49:33 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001